# $Revision: 1.6 $, $Date: 2006/10/24 20:53:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Template
%define		pnam	Plugin-Number-Format
Summary:	Plugin/filter interface to Number::Format
Summary(pl):	Wtyczka - interfejs filtru do Number::Format
Name:		perl-Template-Plugin-Number-Format
Version:	1.01
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Template/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0822bca562c536abc3450cebd66c83f1
BuildRequires:	perl-Number-Format
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin/filter interface to Number::Format.

%description -l pl
Wtyczka - interfejs filtru do Number::Format.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Template/Plugin/Number
%{perl_vendorlib}/Template/Plugin/Number/Format.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Template-Plugin-Number-Format.spec,v $
Revision 1.6  2006/10/24 20:53:16  ankry
- C&P-able src URL

Revision 1.5  2006/10/21 20:18:46  ankry
- rel. 1

Revision 1.4  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.3  2005/12/15 21:29:58  qboosh
- pl

Revision 1.2  2005/12/07 22:02:24  twittner
- added missing md5

Revision 1.1  2005/12/07 21:34:00  twittner
- added
